LBDB-FETCHADDR(1)

NAME
lbdb-fetchaddr - grab addresses from mails and append them to lbdb database

SYNOPSIS
lbdb-fetchaddr [-d dateformat] [-x headerfieldlist] [-c charset] [-a] [-f databasefile]
lbdb-fetchaddr [-v|-h]

DESCRIPTION
lbdb-fetchaddr is a shell script which reads a mail on stdin. It extracts the contents of some header fields (default: `From:', `To:', `Cc:', `Resent-From:', and `Resent-To:') from the mail header (only addresses with a real name) and appends them to the database file, which defaults to $XDG_DATA_HOME/lbdb/m_inmail.db or $HOME/.lbdb/m_inmail.utf-8 if the latter already exists (backward compatibility).

For performance issues lbdb-fetchaddr appends new addresses to this file without removing duplicates. To get rid of duplicates, the program lbdb-munge exists, which is run by m_inmail if needed and removes duplicates.

To use this program, put the following lines into your $HOME/.procmailrc:
     :0hc
     | lbdb-fetchaddr

lbdb-fetchaddr writes the actual date to the third column of the database by using strftime(3). It uses "%Y-%m-%d %H:%M" as the default date format (e.g. "1999-04-29 14:33"). You can change this by using the -d option to select a different date format string as parameter of lbdb-fetchaddr command like
     :0hc
     | lbdb-fetchaddr -d "%y-%m-%d"
which results in e.g. "99-04-29".

OPTIONS

-v  Print version number of lbdb-fetchaddr.

-h  Print short help of lbdb-fetchaddr.

-d dateformat
    Use the given date format using strftime(3) syntax.

-x headerfields
    A colon separated list of header fields, which should be searched for mail addresses. If this option isn't given, we fall back to `from:to:cc:resent-from:resent-to'.

-c charset
    The charset which will be used to write the database. This should be the charset which the application expects (normally the one from your current locale). If this option isn't given, we fall back to `utf-8'.

-a  Also grab addresses without a real name. Use the local part of the mail address as real name.

-f databasefile
    Use the given file for storing the grabbed addresses instead of using the $XDG_DATA_HOME/lbdb/m_inmail.db resp. $HOME/.lbdb/m_inmail.utf-8 default.

FILES
$XDG_DATA_HOME/lbdb/m_inmail.db
$HOME/.lbdb/m_inmail.utf-8 (old version before using $XDG_DATA_HOME)
$HOME/.lbdb/m_inmail.list (old version used for ISO-8859-15 encoded addresses)
/usr/libexec/lbdb/fetchaddr
/usr/libexec/lbdb/m_inmail

SEE ALSO
lbdbq(1), lbdb_dotlock(1), procmail(1), procmailrc(5), strftime(3).

CREDITS
Most of the really interesting code of this program (namely, the RFC 822 address parser used by lbdb-fetchaddr) was stolen from Michael Elkins' mutt mail user agent. Additional credits go to Brandon Long for putting the query functionality into mutt.

AUTHOR
The lbdb package was written by Thomas Roessler <roessler@guug.de> and is now maintained and extended by Roland Rosenfeld <roland@spinnaker.de>.